#### D.13.3.1 isAface

Procedure from library `gitfan.lib` (see gitfan_lib).

Usage:
  isAface(a,gam0); a: ideal, gam0:intvec

Purpose:
  Checks whether gam0 is an a-face w.r.t. the ideal a.

Return:
  int

Example:

    LIB "gitfan.lib";
    ring R = 0,(T(1..4)),dp;
    ideal I = T(1)*T(2)-T(4);
    intvec w = 1,4;
    intvec v = 1,2,4;
    isAface(I,w); // should be 0
    ==> 0
    isAface(I,v); // should be 1
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.